﻿using Infragistics.Themes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Themes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGThemeApplicationCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {


        ResourceDictionary dict = new ResourceDictionary();
        

        public MainWindow()
        {
            InitializeComponent();
            dict.Source = new Uri("MetroTheme/Metro.xamDataPresenter.xaml", UriKind.Relative);
        }

        private void changeThemeBtn_Click(object sender, RoutedEventArgs e)
        {
            foreach (var x in xamDataGridContainer.Children)
            {
                if (x is XamDataGrid)
                {
                    XamDataGrid xdg = x as XamDataGrid;
                    xdg.Resources.MergedDictionaries.Add(dict);
                }
            }
        }

        private void clearThemeBtn_Click(object sender, RoutedEventArgs e)
        {
            foreach (var x in xamDataGridContainer.Children)
            {
                if (x is XamDataGrid)
                {
                    XamDataGrid xdg = x as XamDataGrid;
                    xdg.Resources.MergedDictionaries.Clear();
                }
            }
        }
    }
}
